Bug 10640 - всегда лочит экран при suspend
: всегда лочит экран при suspend
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kpowersave)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-11 02:29 by
Modified: 2007-07-08 00:53 (History)


Attachments
Патчик для запуска корректного запуска скринсейвера (1.13 KB, patch)
2007-01-18 01:46, Damir Shayhutdinov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-11 02:29:14
в настройках kpowersave есть опция : lock screen before suspend or standby.
однако, независимо от состояния флажка, экран всегда лочится немедленно после
выбора suspend to disk из контекстного меню в трее. это делает не powersaved -
во-первых в нем все действия suspend_to_disk заменены вызовом hibernate.
во-вторых, powersave -U из xterm ведет себя вполне предсказуемо. 

мне не нужно лочить иксы, если hibernate делает vlock.
Steps to Reproduce:
1. rmb на иконке kpowersave -> configure kpowersave - > 'общие параметры'
2. снимаем птицу 'lock screen before suspend or standby', "OK"
3. rmb -> suspend 2 disk
Actual Results:  
скринсейвер немедленно лочит иксы и висит еще секунд 10 прежде чем начнется
засыпание

Expected Results:  
hibernate должен показывать osd, затем переключить в текстовую консоль и
залочить vlock'ом или xscreensaver'ом
------- Comment #1 From 2007-01-18 01:46:17 -------
Created an attachment (id=1759) [details]
Патчик для запуска корректного запуска скринсейвера

Если не сложно, не можешь проверить вот с этим патчиком? У меня вроде работает,
но я как-то опасаюсь в Сизиф кидать пока.
Если что - та же версия лежит у меня на git (0.7.1-alt3)
------- Comment #2 From 2007-01-29 23:58:18 -------
Fixed in 0.7.1-alt3